<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text [mbMaxLength]="200" [mbType]="isSubmitted && form.controls['courseName'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['courseName'].errors !== null"
                     [mbErrors]="form.controls['courseName'].errors"
                     [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.courseName' | translate }},
                     { errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': 200}}]"
                     mbPlaceholderText="{{'staffManager.table.courseName' | translate}}"
                     mbLabelText="{{'staffManager.table.courseName' | translate}} <span class='label__required'>*</span>"
                     formControlName="courseName"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listEduMethodType"
                 mbPlaceholder="{{'staffManager.table.eduForm' | translate}}"
                 mbLabelText="{{'staffManager.table.eduForm' | translate}}"
                 formControlName="eduMethodTypeCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text [mbIsTextAre]="true"
                     mbPlaceholderText="{{'staffManager.table.eduContent' | translate}}"
                     mbLabelText="{{'staffManager.table.eduContent' | translate}}"
                     formControlName="courseContent"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        mbPlaceholderText="{{'staffManager.table.eduFromDate' | translate}}"
        mbLabelText="{{'staffManager.table.eduFromDate' | translate}}"
        formControlName="fromDate"></mb-date-picker>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        mbPlaceholderText="{{'staffManager.table.eduToDate' | translate}}"
        mbLabelText="{{'staffManager.table.eduToDate' | translate}}"
        formControlName="toDate"></mb-date-picker>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text [mbIsTextAre]="true"
                     mbPlaceholderText="{{'staffManager.label.result' | translate}}"
                     mbLabelText="{{'staffManager.label.result' | translate}}"
                     formControlName="result"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        appNumberInput
        [mbMaxLength]='13'
        mbSuffixTemplate="VNĐ"
        mbPlaceholderText="{{'staffManager.label.refundAmount' | translate}}"
        mbLabelText="{{'staffManager.label.refundAmount' | translate}}"
        formControlName="refundAmount"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        mbPlaceholderText="{{'staffManager.table.commitmentDate' | translate}}"
        mbLabelText="{{'staffManager.table.commitmentDate' | translate}}"
        formControlName="commitmentDate"></mb-date-picker>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text [mbIsTextAre]="true"
                     mbPlaceholderText="{{'staffManager.label.note' | translate}}"
                     mbLabelText="{{'staffManager.label.note' | translate}}"
                     formControlName="note"></mb-input-text>
    </div>
  </div>
</form>
